<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org/">
<head>
    <meta charset="UTF-8">
    <link href="http://netdna.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-star-rating/4.0.6/css/star-rating.min.css" media="all" rel="stylesheet" type="text/css" />
    <!-- important mandatory libraries -->
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <link rel="stylesheet" type="text/css" href="/star-rating.css" media="screen"/>
    <script  src="/star-rating.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <title >Title</title>
</head>
<body>
<style>
* {
  box-sizing: border-box;
}

/* Create two equal columns that floats next to each other */
.column {
  float: left;
  width: 50%;
  padding: 10px;
  height: 10px; /* Should be removed. Only for demonstration */
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}
</style>

<style>
    label textarea{
        vertical-align: middle;
    }
</style>

<div class="container-xl">
    <div class="col-sm-4">
        <a th:href="'/api'" class="btn btn-primary btn-sm">Volver a la lista de métodos</a>
    </div>
    <h3 style="font-size:200%;">Detalles del método</h3>
    <div class="row">
        <div class="col-sm-4">
        <label class="input"> Nombre</label>
            <input type="text" disabled th:value="${metodo.metodoFirma}">
        </div>
        <div class="form-group col-sm-3" >
                <form   th:action="@{'/api/'+${metodo.metodoId}}" th:object="${metodo}" method="post">
                    <select th:field="${metodo.metodoId}">
                        <option th:each="version:${historia}" th:value="${version.metodo.metodoId}"  th:text="${version.versionNombre}">
                        </option>
                    </select>
                    <button class="btn btn-primary" type="submit"  value="submit"> Ir a la versión</button>
                </form>
        </div>
        <div class="col-sm-4">
            <a th:href="'/api/'+ ${metodo.metodoId} +'/'+ ${metodo.metodoId}" class="btn btn-primary btn-sm">Ir a evaluar el método</a>
        </div>
    </div>

    <div class="row">
        <input type="hidden" class="rating" data-glyphicon="0"
               th:value="${metodo.rating}" disabled>
    </div>

    <br>
    <div class="row">
        <div class="col-sm-4">
            <center>
        <label>   Contenido del método
        <textarea disabled cols="120" th:rows="${metodo.textLines}" th:text="${metodo.codigoMetodo}"></textarea>
        </label>
            </center>
        </div>
    </div>
</div>
</body>
</html>
